CREATE TABLE bm_group_access (
    ID                       NUMBER(18, 0) ,
    GROUP_ID                 NUMBER(18, 0)     NOT NULL,
    ADMIN_SEGMENT_ID         NUMBER(18, 0)     NOT NULL,
    PARENT_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_ID                NUMBER(18, 0) ,
    ENTITY_REF_TABLE         VARCHAR2(512) ,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    ACCESS_TYPE              NUMBER(2, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ID                       NUMBER(18, 0) ,
    GROUP_ID                 NUMBER(18, 0)     NOT NULL,
    ADMIN_SEGMENT_ID         NUMBER(18, 0)     NOT NULL,
    PARENT_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_ID                NUMBER(18, 0) ,
    ENTITY_REF_TABLE         VARCHAR2(512) ,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    ACCESS_TYPE              NUMBER(2, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_bm_group_access PRIMARY KEY (ID, ID)
);
